Update destination
PATCH/api/v1/purchases/:purchase_id/destinations/:id
Update an existing inbound destination for a DID number.
Updatable Fields:
dialing_type- Dialing mode:sequence,ring_allorrandomcallhunt- Legacy two-state mirror ofdialing_type; ignored whendialing_typeis sentactive- Enable/disable this destination
Note: The destination address and transport protocol cannot be changed. To change these, delete and create a new destination.
Authentication:
- Requires Bearer token in Authorization header:
Authorization: Bearer <token>
Request
Responses
- 200
- 403
- 404
Successfully updates destination settings and returns updated destination
Returns 403 error when API token is incorrect
Returns the 404 error envelope {"errors":{"base":["data not found"]}} when neither the DID phone number nor its inventory id matches a DID you own.